Google Web Toolkit (Beta)
Search this site:

# Interface GWT.UncaughtExceptionHandler

public static interface GWT.UncaughtExceptionHandler
This interface is used to catch exceptions at the "top level" just before they escape to the browser. This is used in places where the browser calls into user code such as event callbacks, timers, and RPC. In hosted mode, the default handler prints a stack trace to the log window. In web mode, the default handler is null and thus exceptions are allowed to escape, which provides an opportunity to use a JavaScript debugger.

## Methods

onUncaughtException(Throwable) |

## Method Detail

### onUncaughtException

public void onUncaughtException(Throwable e)

#### Parameters

e